#!/usr/bin/perl
my $inputfasta = $ARGV[0];

open(IB, $inputfasta) or die ("Can't open $inputfasta \n");

while (my $ligne = <IB>){
	if ($ligne=~/\[.*?\=.*?\]/){
		$ligne =~ s/[\[\]]//g;
		print $ligne;
	}
	elsif ($ligne =~/^\>/){
		print $ligne;
		$ligne = <IB>;
		$ligne =~ s/N/a/g;
		print $ligne;
	}
	else {
		print $ligne;
	}
}

close (IB);
